petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCRedundantGetOperators

gets the sequential matrix and preconditioner matrix

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCRedundantGetOperators(PC pc,Mat *mat,Mat *pmat)

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameters

| mat | - the matrix
| pmat | - the (possibly different) preconditioner matrix

### Keywords

PC, redundant solve

### Level

advanced

### Location

src/ksp/pc/impls/redundant/redundant.c

### Implementations

PCRedundantGetOperators_Redundant in src/ksp/pc/impls/redundant/redundant.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages